include 3rdparty/glfw.pro
include 3rdparty/freetype.pro

TARGET    = vulkan_test
CXXFLAGS  = -std=c++14 -fno-exceptions -fno-rtti -Os -s -static
IMGUI_DIR = ../.modules/imgui
SOURCES   = $(IMGUI_DIR)/examples/example_glfw_vulkan/main.cpp \
            $(IMGUI_DIR)/imgui.cpp \
            $(IMGUI_DIR)/imgui_demo.cpp \
            $(IMGUI_DIR)/imgui_draw.cpp \
            $(IMGUI_DIR)/imgui_tables.cpp \
            $(IMGUI_DIR)/imgui_widgets.cpp \
            $(IMGUI_DIR)/backends/imgui_impl_glfw.cpp \
            $(IMGUI_DIR)/backends/imgui_impl_vulkan.cpp \
            $(IMGUI_DIR)/misc/freetype/imgui_freetype.cpp

INCLUDES  = $(IMGUI_DIR) \
            $(IMGUI_DIR)/backends \
	    ../$(OUTPUT_DIR)/install/usr/local/include \
	    ../$(OUTPUT_DIR)/install/usr/local/include/freetype

LIBS = $(GL_LFLAGS) $(GLFW_LIB) $(FT2_LIB) -lvulkan

$(TARGET_BIN): $(GLFW_LIB) $(FT2_LIB)

